MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
module_noserver.c File Reference

Non connection oriented tests. More...

## Functions
bool | mapitest_noserver_lzfu (struct mapitest *mt)
bool | mapitest_noserver_mapi_properties (struct mapitest *mt)
bool | mapitest_noserver_properties (struct mapitest *mt)
bool | mapitest_noserver_proptagvalue (struct mapitest *mt)
bool | mapitest_noserver_rtfcp (struct mapitest *mt)
bool | mapitest_noserver_rtfcp_large (struct mapitest *mt)
bool | mapitest_noserver_srowset (struct mapitest *mt)

## Detailed Description

Non connection oriented tests.

## Function Documentation

bool mapitest_noserver_lzfu | ( | struct mapitest * | mt | ) |

Test the Compressed RTF decompression routine.

This function:

1. Loads some test data and checks it
2. Decompresses the test data
3. Checks that the decompressed data matches the expected result

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), mapitest_print_retval(), and mapitest::mem_ctx.

bool mapitest_noserver_mapi_properties | ( | struct mapitest * | mt | ) |

Test the mapi_SPropValue_array handling

This function:

1. Builds a mapi_SPropValue_array
2. Checks that appropriate values can be retrieved

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest::mem_ctx.

bool mapitest_noserver_properties | ( | struct mapitest * | mt | ) |

Test the property setter / getter code

This function:

1. Checks setting / getting on an SPropValue

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

bool mapitest_noserver_proptagvalue | ( | struct mapitest * | mt | ) |

Test the get_proptag_value() function

This function:

1. Checks the first value in the list
2. Checks a random value from the list
3. Checks the last value in the list
4. Checks a value that doesn't exist

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print().

bool mapitest_noserver_rtfcp | ( | struct mapitest * | mt | ) |

Test the Compressed RTF compression routine.

This function:

1. Loads some test data and checks it
2. Compresses the test data
3. Checks that the compressed data matches the expected result

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), mapitest_print_retval(), and mapitest::mem_ctx.

bool mapitest_noserver_rtfcp_large | ( | struct mapitest * | mt | ) |

Test the Compressed RTF compression / decompression routines on a larger file

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_noserver_srowset | ( | struct mapitest * | mt | ) |

Test the SRowSet parsing / assembly code

This function:

1. Loads some test data and checks it
2. Parses the test data
3. Checks that the parsed data matches the expected result

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/